Subject: bug#34222: closed (Ruby on Rails)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Feb 2019 21:59:03 +0000

Your bug report

#34222: [PATCH 00/15] Add ruby-rubocop and dependencies.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34222: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34222
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Ruby on Rails
From: Christopher Baines <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Cc: Ben Woodcroft <[email-masked]>
Date: Thu, 14 Feb 2019 21:57:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

So, I've merged 66 patches now which were tracked across these 3 bugs so
the master branch now contains the ruby-rails gem!

I think I've even done this without breaking anything, I believe all the
packages I added or changed build, and all of there dependencies as
reported by guix lint build too.

If anyone still has any comments on the patches, I'd still love to hear
them.

Thanks for everyone who's reviewed these patches so far, and thanks to
Ben for kicking this work off many months ago.

Chris

Subject: [PATCH 00/15] Add ruby-rubocop and dependencies.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 27 Jan 2019 17:01:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Following on from #34217 [1], these patches add ruby-rubocop and some
dependencies. This is part of packaging Rails (Ruby web framework) for
Guix [2].

1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34217
2: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30689

Christopher Baines (15):
  gnu: ruby-rspec-its: Enable tests.
  gnu: Add ruby-powerpack.
  gnu: Add ruby-rainbow.
  gnu: Add ruby-racc.
  gnu: Add ruby-hashdiff.
  gnu: Add ruby-crack.
  gnu: Add ruby-webmock.
  gnu: Add ruby-rest-client.
  gnu: Add ruby-bacon-colored-output.
  gnu: Add ruby-ast.
  gnu: Add ruby-cliver.
  gnu: Add ruby-parser.
  gnu: Add ruby-unicode-display-width.
  gnu: Add ruby-jaro-winkler.
  gnu: Add ruby-rubocop.

 gnu/packages/ruby.scm | 463 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 456 insertions(+), 7 deletions(-)